Bug 1420414 - Update of the update.sh vorbis script r?giles draft
authorSylvestre Ledru <sledru@mozilla.com>
Wed, 06 Dec 2017 21:00:48 +0100
changeset 708374 61f30897d65c6476f03b919c1403645078e0ccd0
parent 703188 b3d440476fa5c78636ea0a8467cceca70234d6d8
child 708375 27f2bf906f6e7290871ddbeff9cb42f0ffdeb167
push id92381
push usersledru@mozilla.com
push dateWed, 06 Dec 2017 20:29:37 +0000
reviewersgiles
bugs1420414
milestone59.0a1
Bug 1420414 - Update of the update.sh vorbis script r?giles * +x on the script * add the #!/bin/sh * check the number of args * readme has been renamed * todo.txt no longer exits MozReview-Commit-ID: 67JIO610CNg
media/libvorbis/update.sh
old mode 100644
new mode 100755
--- a/media/libvorbis/update.sh
+++ b/media/libvorbis/update.sh
@@ -1,9 +1,13 @@
-# Usage: /bin/sh update.sh <vorbis_src_directory>
+#!/bin/sh
+if test $# -ne 1; then
+	echo "Usage: /bin/sh update.sh <vorbis_src_directory>"
+	exit 1
+fi
 #
 # Copies the needed files from a directory containing the original
 # libvorbis source that we need for the Mozilla HTML5 media support.
 mkdir -p ./lib
 mkdir -p ./include/vorbis
 cp $1/lib/envelope.h ./lib/envelope.h
 cp $1/lib/lpc.h ./lib/lpc.h
 cp $1/lib/highlevel.h ./lib/highlevel.h
@@ -39,19 +43,18 @@ cp $1/lib/os.h ./lib/os.h
 cp $1/lib/mdct.c ./lib/vorbis_mdct.c
 cp $1/lib/codec_internal.h ./lib/codec_internal.h
 cp $1/lib/mdct.h ./lib/mdct.h
 cp $1/lib/registry.h ./lib/registry.h
 cp $1/lib/codebook.c ./lib/vorbis_codebook.c
 cp $1/lib/bitrate.c ./lib/vorbis_bitrate.c
 cp $1/lib/block.c ./lib/vorbis_block.c
 cp $1/include/vorbis/codec.h ./include/vorbis/codec.h
-cp $1/todo.txt ./todo.txt
 cp $1/COPYING ./COPYING
-cp $1/README ./README
+cp $1/README.md ./README.md
 cp $1/AUTHORS ./AUTHORS
 
 # Encoder support
 cp $1/lib/vorbisenc.c ./lib/vorbisenc.c
 cp $1/include/vorbis/vorbisenc.h ./include/vorbis/vorbisenc.h
 mkdir -p ./lib/modes
 cp $1/lib/modes/setup_44.h ./lib/modes/setup_44.h
 cp $1/lib/modes/setup_44u.h ./lib/modes/setup_44u.h